0

I'm trying to uninstall mysql 4.1 package in linux server.

Command : yum remove mysql mysql-server

It is giving error :

    Setting up Remove Process
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package mysql.i386 0:4.1.22-2.el4 set to be erased
---> Package mysql-server.i386 0:4.1.22-2.el4 set to be erased
--> Running transaction check
Setting up repositories
http://vault.centos.org/4.8/os/i386/repodata/repomd.xml: [Errno 4] IOError: <urlopen error (-3, '\xe5\x90\x8d\xe5\x89\x8d\xe8\xa7\xa3\xe6\xb1\xba\xe6\x99\x82\xe3\x81\xae\xe4\xb8\x80\xe6\x99\x82\xe7\x9a\x84\xe3\x81\xaa\xe5\xa4\xb1\xe6\x95\x97')>
Trying other mirror.
Cannot open/read repomd.xml file for repository: update
failure: repodata/repomd.xml from update: [Errno 256] No more mirrors to try.
Error: failure: repodata/repomd.xml from update: [Errno 256] No more mirrors to try.

I also tried yum clean all

How we can remove mysql?

Edited: So which package i need to remove first?

when I run rpm -e mysql mysql-server It is throwing:

 Failed dependencies:
    libmysqlclient.so.14 is needed by (installed) mod_auth_mysql-2.6.1-2.2.i386
    libmysqlclient.so.14 is needed by (installed) php-mysql-4.3.9-3.26.i386
    libmysqlclient.so.14 is needed by (installed) dovecot-0.99.11-9.EL4.i386
    libmysqlclient.so.14 is needed by (installed) perl-DBD-MySQL-2.9004-3.1.centos4.i386
    libmysqlclient.so.14(libmysqlclient_14) is needed by (installed) php-mysql-4.3.9-3.26.i386
    libmysqlclient.so.14(libmysqlclient_14) is needed by (installed) dovecot-0.99.11-9.EL4.i386
    libmysqlclient_r.so.14 is needed by (installed) MySQL-python-1.2.1_p2-1.el4.1.i386
    libmysqlclient_r.so.14(libmysqlclient_14) is needed by (installed) MySQL-python-1.2.1_p2-1.el4.1.i386
    mysql is needed by (installed) MySQL-python-1.2.1_p2-1.el4.1.i386
    mysql = 4.1.22-2.el4 is needed by (installed) mysql-devel-4.1.22-2.el4.i386
0

Short route: use rpm -e <pkglist> instead of yum remove. It will accomplish the same thing, though you may have to keep reissuing the rpm -e command with an expanded package list because it doesn't automatically depsolve and remove dependent packages for you.

Long route: figure out why the vault.centos.org repo isn't responding. Either remove it from your configuration or fix the file for it in /etc/yum.repos.d and reissue the yum remove command.

  • So which package i need to remove first? – stefun May 27 '14 at 15:32
  • I don't understand why uninstalling an already installed package would require network connectivity in the first place. – kasperd May 27 '14 at 19:00
  • It didn't - the depsolving yum was trying to do did. That's why rpm -e worked and yum remove didn't. – John May 27 '14 at 19:01

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.